gr::lte::pre_decoder_vcvc Class Referenceabstract

Pre Decoder for LTE. More...

`#include <pre_decoder_vcvc.h>`

Inheritance diagram for gr::lte::pre_decoder_vcvc:
[legend]

## Public Types

typedef boost::shared_ptr< pre_decoder_vcvc > | sptr

## Public Member Functions

virtual void | set_N_ant (int N_ant)=0
virtual int | get_N_ant ()=0
virtual void | set_decoding_style (std::string style)=0
virtual std::string | get_decoding_style ()=0

## Static Public Member Functions

static sptr | make (int rxant, int N_ant, int vlen, std::string style)
| Return a shared_ptr to a new instance of lte::mimo_pre_decoder.

## Detailed Description

Pre Decoder for LTE.

Parameters

  N_ant | initial antenna setup. for now: 1 or 2 antennas
  vlen | length of the input/output vector
  style | decoding style as given by LTE standard. Only transmit diversity is supported Block takes in vectors and channel estimates. Output is decoded according to Alamouti or standard zero-forcing depending on antenna configuration

## Member Typedef Documentation

## sptr

typedef boost::shared_ptr<pre_decoder_vcvc> gr::lte::pre_decoder_vcvc::sptr

## Member Function Documentation

## get_decoding_style()

virtual std::string gr::lte::pre_decoder_vcvc::get_decoding_style | ( |  | ) |

pure virtual

Implemented in gr::lte::pre_decoder_vcvc_impl.

## get_N_ant()

virtual int gr::lte::pre_decoder_vcvc::get_N_ant | ( |  | ) |

pure virtual

Implemented in gr::lte::pre_decoder_vcvc_impl.

## make()

static sptr gr::lte::pre_decoder_vcvc::make | ( | int | rxant,
|  | int | N_ant,
|  | int | vlen,
|  | std::string | style )

static

Return a shared_ptr to a new instance of lte::mimo_pre_decoder.

To avoid accidental use of raw pointers, lte::mimo_pre_decoder's constructor is in a private implementation class. lte::mimo_pre_decoder::make is the public interface for creating new instances.

## set_decoding_style()

virtual void gr::lte::pre_decoder_vcvc::set_decoding_style | ( | std::string | style | ) |

pure virtual

Implemented in gr::lte::pre_decoder_vcvc_impl.

## set_N_ant()

virtual void gr::lte::pre_decoder_vcvc::set_N_ant | ( | int | N_ant | ) |

pure virtual

Implemented in gr::lte::pre_decoder_vcvc_impl.

The documentation for this class was generated from the following file:

- pre_decoder_vcvc.h